xoops forums

djynnius

Just popping in
Posted on: 2009/9/11 20:53
djynnius
djynnius (Show more)
Just popping in
Posts: 59
Since: 2006/10/21
#1

Oracle and 2.4

Ok i have been real excited bout XOOPS 2.4 and i still am. Issue: i still dont know how to go bout installing XOOPS with oracle. i got myself zend server (CE), but i dont know the first thing to do. when i run the install wizard for XOOPS i still have MySQL as the only database option.

someone help...

Mamba

Moderator
Posted on: 2009/9/11 20:58
Mamba
Mamba (Show more)
Moderator
Posts: 10796
Since: 2004/4/23
#2

Re: Oracle and 2.4

It looks like we'll be moving the support of other databases to XOOPS 2.5, which will be "PHP 5 only" release, therefore there will be less potential problems with incompatibilities.

I hope, this will not diminish your excitement about 2.4...

trabis

Core Developer
Posted on: 2009/9/12 12:25
trabis
trabis (Show more)
Core Developer
Posts: 2268
Since: 2006/9/1 1
#3

Re: Oracle and 2.4

Extra database support was a "not completed task" and it has been removed from 2.4.0.

dbman

Friend of XOOPS
Posted on: 2009/9/12 15:25
dbman
dbman (Show more)
Friend of XOOPS
Posts: 172
Since: 2005/4/28
#4

Re: Oracle and 2.4

Did you look at the link Ghia posted earlier this year?

I tried this with Oracle 10i. To make this work you will likely need to refactor some sql statements in XOOPS and installed modules.

Unless you are forced to use Oracle on your production server I would suggest sticking with MySQL until the core developers have a chance to implement this in the core.

From a performance standpoint you'll find little difference between Oracle and MySQL in this situation.

wishcraft

Module Developer
Posted on: 2009/10/10 21:26
wishcraft
wishcraft (Show more)
Module Developer
Posts: 3711
Since: 2007/5/18
#5

Re: Oracle and 2.4

Yeah the database functions of 2.4.0 needed to be completely remodeled with a dynamic engine that would model SQL for the service..

Ie.. You have a MySQL sql file but need to install on oracle.. The database factory for the other support need to be completely remodeled so XOOPS will dynamically alter the source SQL file to the destination format. These have been removed and will be in 2.5.0

See :: https://xoops.org/modules/newbb/viewto ... id=317799#forumpost317799

hervet

Friend of XOOPS
Posted on: 2009/10/11 7:36
hervet
hervet (Show more)
Friend of XOOPS
Posts: 2267
Since: 2003/11/4
#6

Re: Oracle and 2.4

PDO with a real good ORM (like Doctrine) is the solution.
No need to reinvent the wheel.

wishcraft

Module Developer
Posted on: 2009/10/13 9:56
wishcraft
wishcraft (Show more)
Module Developer
Posts: 3711
Since: 2007/5/18
#7

Re: Oracle and 2.4

Hervet can you give me a link... I have to schedule my work so I will be working on this soon... I am going to use MySQL as the pivot reference as it has been platform standard.

hervet

Friend of XOOPS
Posted on: 2009/10/13 10:00
hervet
hervet (Show more)
Friend of XOOPS
Posts: 2267
Since: 2003/11/4
#8

Re: Oracle and 2.4

http://www.doctrine-project.org/

wishcraft

Module Developer
Posted on: 2009/10/14 19:12
wishcraft
wishcraft (Show more)
Module Developer
Posts: 3711
Since: 2007/5/18
#9

Re: Oracle and 2.4

Doctrine looks good hervet, I think I will be taking concepts from it though... XOOPS would involve being engineered differently from the start for a complete implementation of doctrine in XOOPS.

The criteria handler is what needs to change it needs support for joins and having in the query as well... As higher SQL Functions like Encrypt and Compression features. 2.5.0 tho. This is already a good example of PDO.

I am think more like a SQL translator/morpher so it will for example translate field types for Create tables from MySQL standardisation to things like firebird and progressSQL

btesec

Friend of XOOPS
Posted on: 2009/10/14 22:34
btesec
btesec (Show more)
Friend of XOOPS
Posts: 623
Since: 2007/2/20
#10

Re: Oracle and 2.4

Does this means this initiative will also support PostgreSql. It would be great.